# /etc/profile.d/utf8.sh - set utf8 stuff

#
# For UTF-8 environment
#
[ -n "$LANG" ] && export NOLOCALE=1

alias uconv="iconv -f euc-kr -t utf8"
alias econv="iconv -f utf8 -t euc-kr"

source /etc/sysconfig/utf8-profile

[ -z "$CONVERSION_LANG" ] && CONVERSION_LANG=ko_KR.eucKR

alias u='shopt -s nocasematch; [[ "$LANG" =~ \.utf[-]?8$ ]] && [ "$OLD_LANG" != "$CONVERSION_LANG" ] && OLD_LANG="${CONVERSION_LANG}" ; [[ "$LANG" =~ \.utf[-]?8$ ]] && NEW_LANG="${OLD_LANG:=${CONVERSION_LANG}}" || NEW_LANG="${LANG%%.*}.UTF-8"; export OLD_LANG="$LANG" && export LANG="$NEW_LANG" && export USER_LANG="$NEW_LANG" && export LC_ALL="$NEW_LANG"; echo "Changed system charset to {${LANG}}"; shopt -u nocasematch'
